Forge Home

embulk

This puppet module install anda configure embulk and its plugins.

18,947 downloads

8,491 latest version

5.0 quality score

We run a couple of automated
scans to help you access a
module's quality. Each module is
given a score based on how well
the author has formatted their
code and documentation and
modules are also checked for
malware using VirusTotal.

Please note, the information below
is for guidance only and neither of
these methods should be considered
an endorsement by Puppet.

Version information

  • 3.2.0 (latest)
  • 3.1.0
  • 3.0.0
  • 2.1.0
  • 2.0.1
  • 2.0.0
  • 1.2.1
  • 1.2.0
  • 1.1.3
  • 1.1.2 (deleted)
  • 1.1.1
  • 1.1.0 (deleted)
  • 1.0.3
  • 1.0.2
  • 1.0.1
  • 1.0.0
  • 0.2.1
  • 0.1.4
  • 0.1.3
  • 0.1.2
  • 0.1.1
  • 0.1.0
released Oct 3rd 2018
This version is compatible with:
  • Puppet Enterprise 2018.1.x, 2017.3.x, 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 4.7.0 < 6.0.0
  • , , , ,

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'hfm-embulk', '3.2.0'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add hfm-embulk
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install hfm-embulk --version 3.2.0

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download
Tags: embulk

Documentation

hfm/embulk — version 3.2.0 Oct 3rd 2018

puppet-embulk

Build Status Puppet Forge Puppet Forge

Table of Contents

  1. Overview
  2. Setup - The basics of getting started with embulk
  3. Usage - Configuration options and additional functionality
  4. Limitations - OS compatibility, etc.
  5. Development - Guide for contributing to the module

Overview

Manage installation of embulk/embulk and its plugins with Puppet on CentOS.

Setup

puppet module install hfm-embulk

or using rodjek/librarian-puppet:

mod 'hfm-embulk'

and execute librarian-puppet install.

Used modules

Usage

Installation of embulk

include ::embulk

# Default latest version
class { '::embulk': }

# Or you can specify the version of embulk.
class { '::embulk':
  ensure => '0.8.1',
}

# Or you can specify the user of embulk.
class { '::embulk':
  user => 'embulk_user',
}

Installation of embulk plugins

Using embulk gem command to install embulk plugins like the following:

include ::embulk

::embulk::plugin {
  # Enable to use an array
  [
    'embulk-parser-ltsv',
    'embulk-filter-insert',
  ]:
    ensure => present;

  # You can use latest to be up-to-date version.
  # Default to present.
  'embulk-output-bigquery':
    ensure => latest;
}

Limitations

Tested on:

  • CentOS 5.11
  • CentOS 6.6
  • CentOS 7.2.1511
  • Ubuntu 14.04
  • Ubuntu 12.04
  • Debian 8
  • Debian 7
  • Debian 6